> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.finput.com.au/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.finput.com.au/_mcp/server.

# Update rate bracket (full)

PUT https://api.finput.com.au/api/v1/rate-brackets/{id}
Content-Type: application/json

Reference: https://docs.finput.com.au/api/endpoints/rate-brackets/update-rate-bracket

## Authentication

- `Authorization` header (bearer token, required) — JWT access token obtained from `POST /api/v1/auth/login`, or a `finput_sk_...` API token

## Request

### Path parameters

- `id` (integer, required)

### Body (application/json)

This endpoint expects a RateBracketCreateRequest.

- `bracket_name` (string, required)
- `product_id` (integer, optional)
- `base_rate` (float, optional)
- `min_range` (integer, optional)
- `max_range` (integer, optional)
- `min_amount` (float, optional)
- `max_amount` (float, optional)
- `min_abn_age` (integer, optional)
- `max_abn_age` (integer, optional)
- `min_asset_age` (integer, optional)
- `max_asset_age` (integer, optional)
- `min_gst_age` (integer, optional)
- `max_gst_age` (integer, optional)
- `min_asset_age_plus_term` (integer, optional)
- `max_asset_age_plus_term` (integer, optional)
- `min_credit_score` (integer, optional)
- `max_credit_score` (integer, optional)
- `compounding_frequency` (enum, optional) — Compounding frequency: - `w` - Weekly - `m` - Monthly - `q` - Quarterly - `y` - Yearly
  - Allowed values: `w`, `m`, `q`, `y`
- `brokerage_loading_treatment` (float, optional)
- `max_origination_fee_limit` (float, optional)
- `doc_fee_financed` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `private_sale` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `sale_hire_back` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `home_owner` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`

## Response

### 200

Rate bracket updated

- `id` (integer, optional)
- `message` (string, optional)

## Examples

**Request**

```json
{
  "bracket_name": "Tier 1 - Low Risk"
}
```

**Response**

```json
{
  "id": 1,
  "message": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.finput.com.au/api/v1/rate-brackets/1"

payload = { "bracket_name": "Tier 1 - Low Risk" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.finput.com.au/api/v1/rate-brackets/1';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"bracket_name":"Tier 1 - Low Risk"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.finput.com.au/api/v1/rate-brackets/1"

	payload := strings.NewReader("{\n  \"bracket_name\": \"Tier 1 - Low Risk\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.finput.com.au/api/v1/rate-brackets/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"bracket_name\": \"Tier 1 - Low Risk\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.finput.com.au/api/v1/rate-brackets/1")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"bracket_name\": \"Tier 1 - Low Risk\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.finput.com.au/api/v1/rate-brackets/1', [
  'body' => '{
  "bracket_name": "Tier 1 - Low Risk"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.finput.com.au/api/v1/rate-brackets/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"bracket_name\": \"Tier 1 - Low Risk\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["bracket_name": "Tier 1 - Low Risk"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.finput.com.au/api/v1/rate-brackets/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```